SendStreak logo
menu

Events API (v1)

The v1 API is deprecated. These endpoints keep working for existing integrations, but new integrations should use the REST API v2. The v2 counterpart of this page is Record a contact event.

Events in SendStreak are signals that indicate specific actions taken by a contact, such as signing up or upgrading to a paid plan. These events can be used to segment your audience when creating automations or campaign emails.

Example event

{
  "email": "[email protected]",
  "slug": "signup"
}

Send an event

To send an event, use a POST request to the events API.

Endpoint

POST https://api.sendstreak.com/v1/events

Body

Field Description Required
email A valid email address. yes
slug A short string identifier for the event/action. yes

If the contact does not exist when sending an event, SendStreak will automatically create it for you.

Curl example

curl --location 'https://api.sendstreak.com/v1/events' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data-raw '{
  "email": "[email protected]",
  "slug": "signup"
}'
Try SendStreak for Free now!